<template>

    <form class="form">
        <div class="login-form-input">
            <input type="text" placeholder="Введите логин"
                   v-model.trim="form.login"
            >
        </div>
        <div class="login-form-input">
            <input type="text" placeholder="Введите пароль"
                   v-model.trim="form.password"
            >
        </div>
        <button class="login_btn" @click="loginWebsite()">Войти</button>
    </form>

</template>

<script>
    export default {
        name: "LoginComponent",

        data:() =>({

            form: {
                login:'',
                password:'',
            }

        }),
        methods: {
            loginWebsite() {
                this.$router.push('/movies')

            }
        }
    }
</script>

<style lang="scss">
    .form {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 50px;
        .login-form-input {
            width: 400px;
            margin-bottom: 15px;
            input {
                width: 100%;
                height: 30px;
            }

        }
        .login_btn {
            display: inline-block;
            width: 150px;
            height: 45px;
            background-color: #4ebf4e;
            color: #ffffff;
            outline: none;
            border: none;
            border-radius: 5px;
            transition: background-color .2s linear;
            &:hover {
                cursor: pointer;
                opacity: .7;
            }
        }
    }


</style>